> For the complete documentation index, see [llms.txt](https://docs.storedat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.storedat.io/reference/api-reference/query/getglossaryterm.md).

# GetGlossaryTerm

## Description

This query will return a glossary definition of a term that's held in the [Glosseta](https://glosseta.com) web3 glossary

### Arguments

| Input    | Description                                                              |
| -------- | ------------------------------------------------------------------------ |
| `term`   | The term you're searching for                                            |
| `locale` | The locale you wish to have the definition returned.  Default is english |

### Response Details

| Detail       | Description                                                                            |
| ------------ | -------------------------------------------------------------------------------------- |
| `term`       | The name of the searched glossary term                                                 |
| `category`   | The category that the term falls under (i.e. general, protocol, application, etc...)   |
| `definition` | The definition of the term in the locale that was specified in the request             |
| `providerId` | The provider specific identifier to locate the data on decentralized storage providers |

### Sample Query

```graphql
query {
  GetGlossaryTerm(term: "web3", locale: EN) {
    definition
    category
    term
    providerId
  }
}
```

### Sample Response

```json
{
  "data": {
    "GetGlossaryTerm": {
      "definition": "A term that defines the next generation of the web looking to make blockchains the backbone of the internet and introduce the concept of the token economy.  The token economy refers to the change of mindset with regards to how wealth, governance, community building and applications will be driven by a programmable means via blockchains.",
      "category": "general",
      "term": "web3"
      "providerId": "t2JjLSaMEAkp9s0Bk8g_9kpwwWVNhiSaEs8ERJHJ-kc"
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.storedat.io/reference/api-reference/query/getglossaryterm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
